pilot-getram(1)

NAME
pilot-getram - Retrieves the RAM image from your Palm device for use in debugging.

SECTION

pilot-link: Tools

SYNOPSIS

 pilot-getram [-p|--port <port>] [--version] [-q|--quiet] [-?|--help] [--usage] [-t|--token token] [-s|--sysinfo] [--ram] [--rom] [filename]

DESCRIPTION

 pilot-getram is used to fetch the current RAM image from your Palm handheld for use in debugging.

 pilot-getromtoken, pilot-getrom and pilot-getram are inter-related. All relevant code is implemented in pilot-getrom, and you can do pilot-getromtoken --ram filename to get the RAM dump if you like.

Note, because pilot-getrom uses the low-level RPC protocol to fetch the ROM image, and the new OS5 devices do not use this protocol, you currently cannot fetch an OS5 ROM image using this utility. This will be updated in a future release to handle fetching OS5 ROM images, using the debugger protocol.

OPTIONS

  pilot-getram options
                        -t,
                        --token token

A ROM token to read (i.e. snum)
                        -s, --sysinfo

Print SysInfo
                        --ram

Read RAM
                        --rom

Read ROM
                        <filename>

Write the RAM image to the file named by <filename>. If this is omitted, the filename will be written out as the RAM version name as follows: ' pilot-$VERSION.ram ', where an OS 3.5 image would be written as the filename of 'pilot-3.5.0.ram'.

  Conduit Options
                        -p, --port
                        <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-getram will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-getram will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-getram and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-getram and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

Connect to a target Palm handheld and fetch the RAM from the device.

AUTHOR

 pilot-getram was originally written by Kenneth Albanowski.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-getrom (1), pilot-link(7).